PluginManagerHolder (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins
[Java] Class PluginManagerHolder

    java.lang.Object
      org.codehaus.groovy.grails.plugins.PluginManagerHolder

    public abstract class PluginManagerHolder
    extends java.lang.Object

Manages a thread bound plugin manager instance.

Authors:
  Graeme Rocher

Since:
  0.4

Method Summary
`static GrailsPluginManager` | `currentPluginManager()` Retrieves the bound GrailsPluginManager that resides in the current Thread
`static GrailsPluginManager` | `getPluginManager()` Retrieves the GrailsPluginManager bound to the current Thread
`static void` | `setInCreation(boolean inCreation)` @deprecated
`static void` | `setPluginManager(GrailsPluginManager pluginManager)` Bind the given GrailsPluginManager instance to the current Thread

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### currentPluginManager

    @java.lang.Deprecated
    public static GrailsPluginManager currentPluginManager()

  Retrieves the bound GrailsPluginManager that resides in the current Thread
  throws:
    IllegalStateException When there is no bound GrailsPluginManager
  deprecated:
    Use dependency injection instead (implement the org.springframework.web.context.ServletContextAware interface)
  Returns:
    The GrailsPluginManager

### getPluginManager

    @java.lang.Deprecated
    public static GrailsPluginManager getPluginManager()

  Retrieves the GrailsPluginManager bound to the current Thread
  deprecated:
    Use dependency injection instead (implement the org.springframework.web.context.ServletContextAware interface)
  Returns:
    The GrailsPluginManager or null

### setInCreation

    @java.lang.Deprecated
    public static void setInCreation(boolean inCreation)

  deprecated:

### setPluginManager

    @java.lang.Deprecated
    public static void setPluginManager(GrailsPluginManager pluginManager)

  Bind the given GrailsPluginManager instance to the current Thread
  deprecated:
    Use dependency injection instead (implement the org.springframework.web.context.ServletContextAware interface)
  Parameters:
    `pluginManager` - The GrailsPluginManager to expose

Groovy Documentation